# Class TCefMenuButtonDelegateOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMenuButtonDelegate

## Declaration

`type TCefMenuButtonDelegateOwn = class(TCefButtonDelegateOwn, ICefMenuButtonDelegate)`

## Description

Implement this interface to handle MenuButton events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_delegate_capi.h">CEF source file: /include/capi/views/cef_menu_button_delegate_capi.h (cef_menu_button_delegate_t))

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefViewDelegateOwn
- TCefButtonDelegateOwn
- TCefMenuButtonDelegateOwn

## Overview

### Methods

| `procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock); virtual;`
| `procedure InitializeCEFMethods; override;`
| `constructor Create; override;`

## Description

### Methods

| `procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock); virtual;`
Called when |button| is pressed. Call ICefMenuButton.ShowMenu() to show a popup menu at |screen_point|. When showing a custom popup such as a window keep a reference to |button_pressed_lock| until the popup is hidden to maintain the pressed button state.

| `procedure InitializeCEFMethods; override;`
Links the methods in the internal CEF record data pointer with the methods in this class.

| `constructor Create; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.